Class UmlBaseBroadcastSignalAction

Declaration :

- C++ : class UmlBaseBroadcastSignalAction : public UmlOnSignalAction
- Java : abstract class UmlBaseBroadcastSignalAction extends UmlOnSignalAction

Directly inherited by : UmlBroadcastSignalAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new broadcast signal action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlBroadcastSignalAction, exceptions : RuntimeException
- C++ : public: static UmlBroadcastSignalAction * create(UmlItem * parent, const char * s)
- Java : public static UmlBroadcastSignalAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseBroadcastSignalAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseBroadcastSignalAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseBroadcastSignalAction(void * id, const QCString & s) : UmlOnSignalAction(id, s)
- Java : protected UmlBaseBroadcastSignalAction(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , cppSignal , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , javaSignal , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_CppSignal , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_JavaSignal , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Signal , set_Stereotype , signal , stereotype , supportFile , unload , unload , unload